#************************************************************************
#cp.pl  - emulate unix copy
#1.0
# 
#Copyright (c) 1995 University of Southern California.
#All rights reserved.                                            
#                                                                
#Redistribution and use in source and binary forms are permitted
#provided that the above copyright notice and this paragraph are
#duplicated in all such forms and that any documentation, advertising
#materials, and other materials related to such distribution and use
#acknowledge that the software was developed by the University of
#Southern California, Information Sciences Institute.  The name of the
#University may not be used to endorse or promote products derived from
#this software without specific prior written permission.
#
#THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
#WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
#MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
#************************************************************************


sub cp {
# do a unix cp.  We don't worry if anything's there, so check it yourself
	local($FROM, $TO) = @_;

	open FROM || die "Can't open $FROM :$!\n";
	open(TO,">$TO")|| die "Can't open $TO :$!\n";
	while(<FROM>) { print TO $_; }
	close FROM; close TO;
}

1;
