#!./perl
#************************************************************************
#myri_unconfigure.pl - undoes a myri_configure
#1.0
# 
#Copyright (c) 1995 University of Southern California.
#All rights reserved.                                            
#                                                                
#Redistribution and use in source and binary forms are permitted
#provided that the above copyright notice and this paragraph are
#duplicated in all such forms and that any documentation, advertising
#materials, and other materials related to such distribution and use
#acknowledge that the software was developed by the University of
#Southern California, Information Sciences Institute.  The name of the
#University may not be used to endorse or promote products derived from
#this software without specific prior written permission.
#
#THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
#WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
#MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
#************************************************************************

@INC = ( @INC, "." );
require "request.pl";

$hostname_file = $ARGV[0] || "hostname.le0";

chdir "/etc";
opendir(ETC,"/etc") || die "Can't read /etc : $!\n";
@hostfiles = grep(/^hostname.*/,readdir(ETC));
rewinddir(ETC);
@holdfiles = grep(/.*atomic.*/,readdir(ETC));
closedir(ETC);
for (@hostfiles) {
rename($_, "not.$_") || 
	die "Error renaming $_ : $!\n/etc may be a mess\n";
}
rename("not.$hostname_file",$hostname_file) ||
	die "Error renaming $hostname_file back : $!\n";
print "hostname file is now $hostname_file\n";

for (@holdfiles) {
	($old = $_) =~ s/\.atomic\.hold//;
	print STDERR "Restoring /etc/$old\n";
	rename($_,$old) || warn "Can't restore $old : $_\n";
}

for ("/dev/myri0","/dev/mlanai0") { 
	-e && -c && unlink && print "$_ deleted\n"; 
}

-f "/sbin/route" && unlink("/sbin/route") && print "/sbin/route deleted\n";
